/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface GlassTaxIncome {
        "declaredIncome": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        "incomeDeclarationFiscalYear": string;
        "incomeTax": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassTaxIncomeGr {
        "declaredIncome": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        "incomeDeclarationFiscalYear": string;
        "incomeTax": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassTaxIncomePt {
        "declaredIncome": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        "incomeDeclarationFiscalYear": string;
        "incomeTax": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassTaxIncomeTk {
        "declaredIncome": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        "incomeDeclarationFiscalYear": string;
        "incomeTax": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
}
declare global {
    interface HTMLGlassTaxIncomeElement extends Components.GlassTaxIncome, HTMLStencilElement {
    }
    var HTMLGlassTaxIncomeElement: {
        prototype: HTMLGlassTaxIncomeElement;
        new (): HTMLGlassTaxIncomeElement;
    };
    interface HTMLGlassTaxIncomeGrElement extends Components.GlassTaxIncomeGr, HTMLStencilElement {
    }
    var HTMLGlassTaxIncomeGrElement: {
        prototype: HTMLGlassTaxIncomeGrElement;
        new (): HTMLGlassTaxIncomeGrElement;
    };
    interface HTMLGlassTaxIncomePtElement extends Components.GlassTaxIncomePt, HTMLStencilElement {
    }
    var HTMLGlassTaxIncomePtElement: {
        prototype: HTMLGlassTaxIncomePtElement;
        new (): HTMLGlassTaxIncomePtElement;
    };
    interface HTMLGlassTaxIncomeTkElement extends Components.GlassTaxIncomeTk, HTMLStencilElement {
    }
    var HTMLGlassTaxIncomeTkElement: {
        prototype: HTMLGlassTaxIncomeTkElement;
        new (): HTMLGlassTaxIncomeTkElement;
    };
    interface HTMLElementTagNameMap {
        "glass-tax-income": HTMLGlassTaxIncomeElement;
        "glass-tax-income-gr": HTMLGlassTaxIncomeGrElement;
        "glass-tax-income-pt": HTMLGlassTaxIncomePtElement;
        "glass-tax-income-tk": HTMLGlassTaxIncomeTkElement;
    }
}
declare namespace LocalJSX {
    interface GlassTaxIncome {
        "declaredIncome"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        "incomeDeclarationFiscalYear"?: string;
        "incomeTax"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassTaxIncomeGr {
        "declaredIncome"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        "incomeDeclarationFiscalYear"?: string;
        "incomeTax"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassTaxIncomePt {
        "declaredIncome"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        "incomeDeclarationFiscalYear"?: string;
        "incomeTax"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassTaxIncomeTk {
        "declaredIncome"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        "incomeDeclarationFiscalYear"?: string;
        "incomeTax"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface IntrinsicElements {
        "glass-tax-income": GlassTaxIncome;
        "glass-tax-income-gr": GlassTaxIncomeGr;
        "glass-tax-income-pt": GlassTaxIncomePt;
        "glass-tax-income-tk": GlassTaxIncomeTk;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "glass-tax-income": LocalJSX.GlassTaxIncome & JSXBase.HTMLAttributes<HTMLGlassTaxIncomeElement>;
            "glass-tax-income-gr": LocalJSX.GlassTaxIncomeGr & JSXBase.HTMLAttributes<HTMLGlassTaxIncomeGrElement>;
            "glass-tax-income-pt": LocalJSX.GlassTaxIncomePt & JSXBase.HTMLAttributes<HTMLGlassTaxIncomePtElement>;
            "glass-tax-income-tk": LocalJSX.GlassTaxIncomeTk & JSXBase.HTMLAttributes<HTMLGlassTaxIncomeTkElement>;
        }
    }
}
